Skip to main content
GET
Get customer files

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customer_id
string<uuid>
required

Query Parameters

isSigned
boolean
isApproved
boolean
tag
string

Response

200 - application/json

List of customer files

id
string<uuid>
file_name
string
document_type
string
approval_status
enum<string>
Available options:
pending,
approved,
attached
approval_needed
number<float>
approval_made
number<float>
signature_status
enum<string>
Available options:
pending,
signed,
not_required
signature_needed
number<float>
signature_made
number<float>
content_length
integer<int64>
file_extension
string
active
boolean
metadata
object
created_at
string<date-time>
created_by
string<uuid>